package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.CabMyLoveDog;

public interface CabMyLoveDogMapper {
	
    int deleteByPrimaryKey(Integer id);

    int insert(CabMyLoveDog record);

    int insertSelective(CabMyLoveDog record);

    CabMyLoveDog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CabMyLoveDog record);

    int updateByPrimaryKey(CabMyLoveDog record);
    /**
     * 
     * @Description：根据当前登录人获取我的爱宠列表
     * @author: zhuoHeng
     * @version: 2016年4月9日 上午11:47:47
     */
    public List<CabMyLoveDog> getMyLoveDog(@Param("userId") String userId,@Param("start")long start,@Param("limit")long limit);

	/**
	 * 得到我的爱狗数量
	 * @Author chaixueteng
	 * @2016年5月20日下午3:39:18
	 */
	long getMyLoveDogCount(@Param("userId") String userId);
}